### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-page-header/ecl-page-header.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-page-header`
styles | `:host { display: block; }`
templateUrl | `./ecl-page-header.component.html`

### Index

###### Properties
eclBreadcrumbComponent
###### Methods
getBackgroundImage getBreadcrumbClass hasBackgroundImage getCssClasses
###### Inputs
backgroundImage isNegative class e2eAttr
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

backgroundImage
Type : `string`
Default value : `null`

isNegative
Type : `boolean | any`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getBackgroundImage
`getBackgroundImage()`
Returns : `any`

getBreadcrumbClass
`getBreadcrumbClass()`
Returns : `string`

hasBackgroundImage
`hasBackgroundImage()`
Returns : `boolean`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclBreadcrumbComponent
Type : `EclBreadcrumbComponent`
Decorators : `@ContentChild(EclBreadcrumbComponent)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""